- Qt 6.4
- Qt Quick 3D
- QML Types
- QtQuick3D.Effects
- DistortionSphere
- Qt Quick 3D | Commercial or GPLv3

# DistortionSphere QML Type

A sphere distortion effect. More...

Import Statement: | import QtQuick3D.Effects 6.4

- List of all members, including inherited members

## Properties

- center : vector2d
- distortionHeight : real
- radius : real

## Detailed Description

The DistortionSphere effect creates a 3D effect of wrapping the scene around a spherical shape.

## Property Documentation

center : vector2d

The center point of the distortion. The default is `Qt.vector2d(0.5, 0.5)`, the center of the scene.

distortionHeight : real

The distortion amount. The range is `[-1...1]`, where positive values distort towards the camera, and negative values distort away from the camera. The default value is `0.5`.

radius : real

How far the distortion extends from the center point. The range is `[0...1]`. The default value is `0.25`.